Summary:	An open source Linux client for Google Drive
Summary(pl.UTF-8):	Linuksowy, mające otwarte źródła klient Google Drive
Name:		grive2
Version:	0.5.1
Release:	19
License:	GPL v2
Group:		Applications/Networking
#Source0Download: https://github.com/vitalif/grive2/releases
Source0:	https://github.com/vitalif/grive2/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	2ffb02ae2ddaba51fc8f31bb322efd93
Patch0:		binutils-2.34.patch
Patch1:		missing-includes.patch
Patch2:		libgcrypt1.10.patch
URL:		https://github.com/vitalif/grive2
BuildRequires:	binutils-devel
BuildRequires:	boost-devel >= 1.40.0
BuildRequires:	cmake >= 2.8
BuildRequires:	curl-devel
BuildRequires:	expat-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.682
BuildRequires:	yajl-devel
Obsoletes:	grive < 0.3.0-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The purpose of this project is to provide an independent
implementation of Google Drive client. It uses the Google Document
List API to talk to the servers in Google.

%description -l pl.UTF-8
Celem tego projektu jest zapewnienie niezależnej implementacji klienta
Google Drive. Do komunikacji z serwerami Google'a wykorzystuje API
Google Document List.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/grive
%dir %{_prefix}/lib/grive
%attr(755,root,root) %{_prefix}/lib/grive/grive-sync.sh
%{systemduserunitdir}/grive-changes@.service
%{systemduserunitdir}/grive-timer@.service
%{systemduserunitdir}/grive-timer@.timer
%{_mandir}/man1/grive.1*
%changelog
* Mon Aug 19 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/grive2.git;a=log;h=master

* Mon Aug 19 2024 Jan Palus <atler@pld-linux.org> ba6f1ba
- binutils 2.43.1 rebuild

* Mon Aug 12 2024 Jan Palus <atler@pld-linux.org> 4b5b413
- binutils 2.43 rebuild

* Mon Aug 12 2024 Jan Palus <atler@pld-linux.org> 9bd7e2c
- fix detection of libgcrypt >= 1.10

* Sat Feb 03 2024 Jan Palus <atler@pld-linux.org> 6d235a8
- binutils 2.42 rebuild

* Tue Aug 01 2023 Jan Palus <atler@pld-linux.org> 18eaef4
- binutils 2.41 rebuild

* Fri Jun 30 2023 Jan Palus <atler@pld-linux.org> df83aab
- boost rebuild

* Fri Feb 17 2023 Jan Palus <atler@pld-linux.org> 1839e15
- boost rebuild

* Thu Jan 19 2023 Jan Palus <atler@pld-linux.org> 7e65d54
- binutils rebuild

* Thu Jan 19 2023 Jan Palus <atler@pld-linux.org> 130963d
- macros for %systemduserunitdir

* Thu Jan 19 2023 Jan Palus <atler@pld-linux.org> 5dac329
- add missing includes for unique_ptr

* Wed Aug 17 2022 Jan Palus <atler@pld-linux.org> c2968a3
- Release 12 (by relup.sh)

* Wed Aug 10 2022 Jan Palus <atler@pld-linux.org> ac9fefb
- binutils rebuild

* Fri Jun 03 2022 Jan Palus <atler@pld-linux.org> 2b614fe
- boost rebuild

* Mon Feb 14 2022 Jan Rękorajski <baggins@pld-linux.org> d3cc20b
- Release 9 (by relup.sh)

* Sat Jan 15 2022 Jan Palus <atler@pld-linux.org> 28b89ec
- boost rebuild

* Mon Aug 09 2021 Jan Palus <atler@pld-linux.org> f5117ca
- boost rebuild

* Wed Jul 21 2021 Jan Palus <atler@pld-linux.org> 379093a
- binutils rebuild

* Thu Feb 11 2021 Jan Palus <atler@pld-linux.org> 9d1aefe
- binutils rebuild
- release 5 (by relup.sh)

* Mon Oct 05 2020 Jan Rękorajski <baggins@pld-linux.org> ff130b7
- release 4 (by relup.sh)

* Wed Jul 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 58179c0
- release 3 (boost 1.73)

